﻿namespace Brizco.Domain.Dtos.SmallDtos;

public class ActivitySDto : BaseDto<ActivitySDto , Activity>
{
    public TaskType Type { get; set; }
    public string Title { get; set; } = string.Empty;
    public string Description { get; set; } = string.Empty;
    public bool IsDisposable { get; set; }
    public DateTime SetFor { get; set; }
    public bool HasDisposed { get; set; }
    public TaskScheduleType ScheduleType { get; set; }
    public string UnDoneReason { get; set; } = string.Empty;
    public ActivityStatus Status { get; set; }
    public DateTime DoneAt { get; set; }
    public bool IsDone { get; set; }
    public string ShiftTitle { get; set; } = string.Empty;
    public string PerformanceDescription { get; set; } = string.Empty;
    public string UserFirstName { get; set; } = string.Empty;
    public string UserLastName { get; set; } = string.Empty;
    public string UserFullName => UserFirstName + " " + UserLastName;


    public int Amount { get; set; }
    public Guid ShiftPlanId { get; set; }
    public PurchaseAmountType AmountType { get; set; }
}